anthem-0.0.17 problems with Makefile.dist/cvs

Help
Habibie
2003-09-25
2003-09-25
  • Habibie
    Habibie
    2003-09-25

    Hi,

    Finally, I managed to compile anthem-0.0.17 on my SuSE-8.1 Pro with KDE-3.1.3 by first applying the anthem-gcc3-compilation-fix.patch. However, I run into another problem that the installation process fails to install the following header files (from anthem/phraseeditors):

        ListEditor.h
        PianoRollEditor.h
        PhraseEditor.h

    First, I thought the above header files ain't supposed be installed (noinst_HEADERS in the Makefile.am); however, some KDE packages that I try to compile, i.e. NoteEdit, depend on these header files. I edited and rewrote the Makefile.am on anthem/phraseeditors directory to replace the "noinst_HEADERS" with "phraseeditorsh_HEADERS" as well as making it to produce a shared instead of a static library. Besides the "make -f Makefile.cvs" spitted out some errors, the compilation and/or installation processes don't even produce and install the shared library and the header files.

    Also, when I tried to "make -f Makefile.dist", it spitted out the following error messages:

    aclocal
    autoheader
    configure.in:65: warning: AC_ARG_PROGRAM invoked multiple times
    configure.in:229: error: m4_popdef: undefined macro: AC_Dest
    autoconf/status.m4:844: AC_CONFIG_FILES is expanded from...
    configure.in:229: the top level
    autom4te: /usr/bin/m4 failed with exit status: 1
    autoheader: /usr/bin/autom4te failed with exit status: 1
    make: *** [all] Error 1

    It appears to me there is something wrong with this anthem-0.0.17 package. Can anyone please help?